帮助中心 > 预警与通知 > 详细页面

32位Redis远程代码执行漏洞

发布时间:2021-10-28 来源:预警与通知 浏览:2573


摘要:漏洞描述Redis是世界范围内应用广泛的内存型高速键值对数据库。2021年7月21日Redis官方发布公告,披露了CVE-2021-3276132位Redis远程代码执行漏洞。在32位Redis中,攻击者在Redis存在未授权访问的情况下可利用*BIT*命令与proto-max-bulk-len配置...

漏洞描述

Redis是世界范围内应用广泛的内存型高速键值对数据库。2021年7月21日Redis官方发布公告,披露了CVE-2021-32761 32位Redis远程代码执行漏洞。在32位Redis中,攻击者在Redis存在未授权访问的情况下可利用*BIT*命令与proto-max-bulk-len配置参数可能造成整形溢出,最终导致远程代码执行。目前尚未有相关脚本流出,且漏洞仅影响32位Redis,阿里云应急响应中心提醒 Redis 用户尽快采取安全措施阻止漏洞攻击。


漏洞细节:未公开

漏洞POC:未公开

漏洞EXP:未公开

在野利用:未知


漏洞评级

CVE-2021-32761 32位Redis远程代码执行漏洞 高危


影响版本

Redis >2.2 且 < 5.0.13

Redis >2.2 且 < 6.0.15

Redis >2.2 且 < 6.2.5


安全版本

Redis 5.0.13

Redis 6.0.15

Redis 6.2.5


安全建议

1、根据影响及其安全版本排查并升级到安全版本,或使用64位Redis

2、若暂无法升级,可通过启用Redis身份认证,禁止未授权用户调用*BIT*命令以及CONFIG SET指令


相关链接

https://github.com/redis/redis/security/advisories/GHSA-8wxq-j7rp-g8wj


欢迎注册,加入我们,开启未来!

立即注册